Aviso de seguridad de Debian

tcsh -- desbordamiento de búfer con rutas muy largas

Fecha del informe:
22 de sep de 1998
Paquetes afectados:
tcsh
Vulnerable:
Referencias a bases de datos de seguridad:
No se dispone, de momento, de referencias a otras bases de datos de seguridad externas.
Información adicional:

Hemos encontrado que el shell tcsh tenía un problema con los nombres de rutas muy largos. Cuando encontraba una ruta muy larga, tcsh fallaba al comprobar el resultado de getcwd() en todos los lugares, lo que podía ser explotado.

Le recomendamos que actualice su paquete tcsh inmediatamente.

Arreglado en:
All - (en la versión 2.0) 6.07.06-5